ScXMLEventTarget(3)

NAME
ScXMLEventTarget - base class for event targets for inter-system event communication

SYNOPSIS

#include <Inventor/scxml/ScXMLEventTarget.h>

Inherits ScXMLObject.

Inherited by ScXMLStateMachine, and SoScXMLNavigationTarget.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and downward"casting.
virtual void setEventTargetType (const char *targettype)
const char * getEventTargetType (void) const
virtual void setEventTargetName (const char *targetname)
const char * getEventTargetName (void) const
virtual const ScXMLEvent * getCurrentEvent (void) const
virtual void queueEvent (const ScXMLEvent *event)
virtual void queueEvent (const SbName &eventid)
virtual SbBool processEventQueue (void)
virtual SbBool sendExternalEvent (const ScXMLSendElt *sendelt)
virtual SbBool sendInternalEvent (const ScXMLEventElt *sendelt)
virtual void queueInternalEvent (const ScXMLEvent *event)
virtual void queueInternalEvent (const SbName &eventid)
Public Member Functions inherited from ScXMLObject
SbBool isOfType (SoType type) const
Returns TRUE if the type of this object is either of the same type or inherited from type.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType getClassTypeId (void)
This static method returns the SoType object associated with objects of this class.
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void cleanClass (void)
Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

  Protected Member Functions
virtual void setCurrentEvent (const ScXMLEvent *event)
virtual const ScXMLEvent * getNextEvent (void)
virtual const ScXMLEvent * getNextInternalEvent (void)
virtual const ScXMLEvent * getNextExternalEvent (void)
virtual SbBool processOneEvent (const ScXMLEvent *event)

  Static Protected Member Functions
static void registerEventTarget (ScXMLEventTarget *target, const char *sessionid=NULL)
static void unregisterEventTarget (ScXMLEventTarget *target, const char *sessionid=NULL)
static ScXMLEventTarget * getEventTarget (const char *targettype, const char *targetname, const char *sessionid=NULL)
Static Protected Member Functions inherited from ScXMLObject
static void registerClassType (const char *xmlns, const char *classname, SoType type)
static void registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

  Protected Attributes
char * targetname
char * targettype
const ScXMLEvent * currentevent
SbBool isprocessingqueue

Detailed Description

base class for event targets for inter-system event communication This class manages inter-communication between SCXML systems and systems intended for communicating with such systems. It also manages the external event queue for such systems (systems may also have internal event queues).

Since
    Coin 3.1

Member Function Documentation

  virtual SoType ScXMLEventTarget::getTypeId (void ) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
    SoBase::getTypeId() const

Implements ScXMLObject.

Implemented in ScXMLStateMachine, SoScXMLDollyTarget, SoScXMLFlightControlTarget, SoScXMLMiscTarget, SoScXMLMotionTarget, SoScXMLNavigationTarget, SoScXMLPanTarget, SoScXMLRotateTarget, SoScXMLSeekTarget, SoScXMLSpinTarget, SoScXMLStateMachine, and SoScXMLZoomTarget.

  virtual const ScXMLEvent * ScXMLEventTarget::getCurrentEvent (void ) const [inline], [virtual]
This method returns the current event during event processing, and NULL when not processing events.

Event processing is in special cases done with NULL as the current event, as for instance during state machine initialization.

  void ScXMLEventTarget::queueEvent (const ScXMLEvent * event) [virtual]
Queues an ScXMLEvent event. The event is copied, and can be deleted as soon as the function returns.

  void ScXMLEventTarget::queueEvent (const SbName & eventid) [virtual]
Queues an ScXMLEvent event that has the given eventid as its event name.

  void ScXMLEventTarget::setCurrentEvent (const ScXMLEvent * event) [protected], [virtual]
Sets a pointer for the event that is 'current' during event processing. This is an internal method, and the updating of the current event should be handled automatically.

  SbBool ScXMLEventTarget::processOneEvent (const ScXMLEvent * event) [protected], [virtual]
This function processes one event. The base class implementation does nothing.

Reimplemented in ScXMLStateMachine, SoScXMLDollyTarget, SoScXMLFlightControlTarget, SoScXMLMiscTarget, SoScXMLMotionTarget, SoScXMLPanTarget, SoScXMLRotateTarget, SoScXMLSeekTarget, SoScXMLSpinTarget, and SoScXMLZoomTarget.

Author

Generated automatically by Doxygen for Coin from the source code.